(height, percent, charge, low, lbr, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height / 2;
	canvas.width = canvas.height * 3;
	var ctx  = canvas.getContext("2d");
	
	var drawWidth = canvas.width;
	var drawHeight = canvas.height;
	var line_Width = 3;
	var offset = line_Width / 2;
	var r = drawHeight / 2;
	var p_Left = r;
	var p_Right = drawWidth - r;
	var p_Center = drawHeight / 2;
	var rectWidth = (drawWidth - line_Width*2) * percent / 100;
	
	
	ctx.fillStyle="rgb(" + m_color.join()+ ")";
	ctx.beginPath();
	ctx.moveTo( p_Left, line_Width);
	ctx.lineTo( p_Right, line_Width);
	ctx.arc( p_Right, p_Center, r - line_Width, -Math.PI/2, Math.PI/2 );
	ctx.lineTo( p_Left, drawHeight - line_Width);
	ctx.arc( p_Left, p_Center, r - line_Width, Math.PI/2, Math.PI/2 * 3 );
	ctx.closePath();
	ctx.save();
	ctx.clip();
	ctx.fillRect(line_Width, 0, rectWidth, drawHeight);
	ctx.restore();
	
	ctx.strokeStyle="rgb(" + b_color.slice(0, 3).join()+ ")";
	ctx.lineWidth = line_Width;
	ctx.beginPath();
	ctx.moveTo( p_Left, offset);
	ctx.lineTo( p_Right, offset);
	ctx.arc( p_Right, p_Center, r - offset, -Math.PI/2, Math.PI/2 );
	ctx.lineTo( p_Left, drawHeight - offset);
	ctx.arc( p_Left, p_Center, r - offset, Math.PI/2, Math.PI/2 * 3 );
	ctx.closePath();
	ctx.stroke();
	
	return canvas.toDataURL("image/png");
}

